# $Revision: 1.21 $, $Date: 2004/07/24 00:39:42 $
Summary:	Portable lossless data compression library
Summary(de):	Library fr die Komprimierung
Summary(pl):	Biblioteka bezstratnej kompresji
Name:		ucl
Version:	1.03
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.oberhumer.com/opensource/ucl/download/%{name}-%{version}.tar.gz
# Source0-md5:	852bd691d8abc75b52053465846fba34
URL:		http://www.oberhumer.com/opensource/ucl/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UCL is a portable lossless data compression library written in ANSI C.
UCL implements a number of compression algorithms that achieve an
excellent compression ratio while allowing *very* fast decompression.
Decompression requires no additional memory.

%description -l pl
UCL jest przenon bibliotek do kompresji napisan w ANSI C. Oferuje
doskonay wspczynnik kompresji przy bardzo szybkiej dekompresji.
Dekompresja nie wymaga dodatkowej pamici.

%package devel
Summary:	header files and libraries for ucl development
Summary(de):	Headerdateien und Libraries fr ucl-Entwicklung
Summary(pl):	Pliki nagwkowe i dokumentacja do ucl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed to develop programs that
use these ucl.

%description devel -l de
Dieses Paket enthlt die Header-Dateien und Libraries, die zur
Entwicklung von Programmen bentigt werden, die diese ucl einsetzen.

%description devel -l pl
Pakiet ten zawiera pliki nagowkowe i dokumentacj potrzebn przy
tworzeniu wasnych programw wykorzystujcych ucl.

%package static
Summary:	Static library for ucl development
Summary(pl):	Biblioteka statyczna do ucl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the header files and libraries needed to develop
programs that use these ucl.

%description static -l pl
Pakiet ten zawiera bibliotek statyczn potrzebn przy tworzeniu
wasnych programw wykorzystujcych ucl.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub acconfig
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ucl

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ucl.spec,v $
Revision 1.21  2004/07/24 00:39:42  qboosh
- updated to 1.03, strict internal deps

Revision 1.20  2004/01/20 14:36:27  undefine
- copy config.sub to allow build on amd64

Revision 1.19  2003/12/21 23:33:37  qboosh
- updated to 1.02, moved base docs to base

Revision 1.18  2003/09/27 20:05:02  qrczak
- Typo.

Revision 1.17  2003/05/28 13:02:25  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/11/13 16:09:22  areq
- 1.01, STBR
- new %doc

Revision 1.13  2002/03/03 18:59:46  marcus
- rel.3.

Revision 1.12  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 20:40:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.9  2002/02/01 14:55:52  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.8  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/19 21:48:23  blues
- release 2
- configure2_13

Revision 1.6  2000/12/07 11:40:07  kloczek
- release 1.

Revision 1.5  2000/12/07 11:28:25  agaran
Updated to 0.92

Revision 1.4  2000/12/07 11:20:31  kloczek
- release 2.

Revision 1.3  2000/12/07 11:04:17  agaran
Adapterized for $Log
